//------------------------------------------------------------------------
//
// OpenDCC - OpenDecoder2 - OpenDecoder3 - DCC Sniffer
//
// Copyright (c) 2006 Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
// 
//------------------------------------------------------------------------
//
// file:      main.h
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2007-05-10 V0.1 kw start
//
//------------------------------------------------------------------------
//
// purpose:   flexible general purpose decoder for dcc
//
//------------------------------------------------------------------------


//-----------------------------------------------------------------------------------
//
// Global Data
//

void init_keyboard(void);

unsigned char keyboard(void);    // gets a keystroke from a simple direct connected keyboard
// This call is non waiting, return code is 0xff if no keystroke was detected.
// If a keystroke was detected, the corresponding number (typically 0..7) is returned.

//--------------------------------------------------------------------------------------

void keytest(void);
